# -*- encoding: utf-8 -*-
# stub: azure 0.7.7 ruby lib

Gem::Specification.new do |s|
  s.name = "azure"
  s.version = "0.7.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Microsoft Corporation", "AppFog"]
  s.date = "2016-11-14"
  s.description = "Microsoft Azure Client Library for Ruby"
  s.email = "azureruby@microsoft.com"
  s.executables = ["pfxer"]
  s.files = [".env_sample", ".gitignore", ".travis.yml", "ChangeLog.md", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "azure.gemspec", "bin/pfxer", "lib/azure.rb", "lib/azure/base_management/affinity_group.rb", "lib/azure/base_management/base_management_service.rb", "lib/azure/base_management/location.rb", "lib/azure/base_management/management_http_request.rb", "lib/azure/base_management/serialization.rb", "lib/azure/base_management/sql_management_http_request.rb", "lib/azure/blob/auth/shared_access_signature.rb", "lib/azure/blob/blob.rb", "lib/azure/blob/blob_service.rb", "lib/azure/blob/block.rb", "lib/azure/blob/container.rb", "lib/azure/blob/serialization.rb", "lib/azure/client.rb", "lib/azure/client_services.rb", "lib/azure/cloud_service_management/cloud_service.rb", "lib/azure/cloud_service_management/cloud_service_management_service.rb", "lib/azure/cloud_service_management/serialization.rb", "lib/azure/configurable.rb", "lib/azure/default.rb", "lib/azure/http_client.rb", "lib/azure/http_response_helper.rb", "lib/azure/queue/message.rb", "lib/azure/queue/queue.rb", "lib/azure/queue/queue_service.rb", "lib/azure/queue/serialization.rb", "lib/azure/service/access_policy.rb", "lib/azure/service/cors.rb", "lib/azure/service/cors_rule.rb", "lib/azure/service/enumeration_results.rb", "lib/azure/service/logging.rb", "lib/azure/service/metrics.rb", "lib/azure/service/retention_policy.rb", "lib/azure/service/serialization.rb", "lib/azure/service/signed_identifier.rb", "lib/azure/service/storage_service.rb", "lib/azure/service/storage_service_properties.rb", "lib/azure/service_bus/action.rb", "lib/azure/service_bus/auth/shared_access_signer.rb", "lib/azure/service_bus/auth/wrap_service.rb", "lib/azure/service_bus/auth/wrap_signer.rb", "lib/azure/service_bus/brokered_message.rb", "lib/azure/service_bus/brokered_message_serializer.rb", "lib/azure/service_bus/correlation_filter.rb", "lib/azure/service_bus/empty_rule_action.rb", "lib/azure/service_bus/false_filter.rb", "lib/azure/service_bus/filter.rb", "lib/azure/service_bus/interval.rb", "lib/azure/service_bus/queue.rb", "lib/azure/service_bus/relay.rb", "lib/azure/service_bus/resource.rb", "lib/azure/service_bus/rule.rb", "lib/azure/service_bus/rule_aspect.rb", "lib/azure/service_bus/serialization.rb", "lib/azure/service_bus/service_bus_service.rb", "lib/azure/service_bus/sql_filter.rb", "lib/azure/service_bus/sql_rule_action.rb", "lib/azure/service_bus/subscription.rb", "lib/azure/service_bus/topic.rb", "lib/azure/service_bus/true_filter.rb", "lib/azure/sql_database_management/errors.rb", "lib/azure/sql_database_management/firewall_rule.rb", "lib/azure/sql_database_management/serialization.rb", "lib/azure/sql_database_management/sql_database_management_service.rb", "lib/azure/sql_database_management/sql_server.rb", "lib/azure/storage_management/serialization.rb", "lib/azure/storage_management/storage_account.rb", "lib/azure/storage_management/storage_management_service.rb", "lib/azure/table/auth/shared_key.rb", "lib/azure/table/auth/shared_key_lite.rb", "lib/azure/table/batch.rb", "lib/azure/table/batch_response.rb", "lib/azure/table/edmtype.rb", "lib/azure/table/entity.rb", "lib/azure/table/guid.rb", "lib/azure/table/query.rb", "lib/azure/table/serialization.rb", "lib/azure/table/table_service.rb", "lib/azure/version.rb", "lib/azure/virtual_machine_image_management/serialization.rb", "lib/azure/virtual_machine_image_management/virtual_machine_disk.rb", "lib/azure/virtual_machine_image_management/virtual_machine_image.rb", "lib/azure/virtual_machine_image_management/virtual_machine_image_management_service.rb", "lib/azure/virtual_machine_management/serialization.rb", "lib/azure/virtual_machine_management/virtual_machine.rb", "lib/azure/virtual_machine_management/virtual_machine_management_service.rb", "lib/azure/virtual_network_management/serialization.rb", "lib/azure/virtual_network_management/virtual_network.rb", "lib/azure/virtual_network_management/virtual_network_management_service.rb"]
  s.homepage = "http://github.com/azure/azure-sdk-for-ruby"
  s.licenses = ["Apache License, Version 2.0"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.4.5"
  s.summary = "Official ruby client library to consume Microsoft Azure services."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<addressable>, ["~> 2.3"])
      s.add_runtime_dependency(%q<azure-core>, ["~> 0.1"])
      s.add_runtime_dependency(%q<faraday>, ["~> 0.9"])
      s.add_runtime_dependency(%q<faraday_middleware>, ["~> 0.10"])
      s.add_runtime_dependency(%q<mime-types>, ["< 4.0", ">= 1"])
      s.add_runtime_dependency(%q<nokogiri>, ["~> 1.6"])
      s.add_runtime_dependency(%q<systemu>, ["~> 2.6"])
      s.add_runtime_dependency(%q<thor>, ["~> 0.19"])
      s.add_development_dependency(%q<dotenv>, ["~> 2.0"])
      s.add_development_dependency(%q<minitest>, ["~> 5"])
      s.add_development_dependency(%q<minitest-reporters>, ["~> 1"])
      s.add_development_dependency(%q<mocha>, ["~> 1.0"])
      s.add_development_dependency(%q<rake>, ["~> 10.0"])
      s.add_development_dependency(%q<timecop>, ["~> 0.7"])
      s.add_development_dependency(%q<yard>, ["~> 0.8"])
      s.add_development_dependency(%q<vcr>, ["~> 3.0"])
    else
      s.add_dependency(%q<addressable>, ["~> 2.3"])
      s.add_dependency(%q<azure-core>, ["~> 0.1"])
      s.add_dependency(%q<faraday>, ["~> 0.9"])
      s.add_dependency(%q<faraday_middleware>, ["~> 0.10"])
      s.add_dependency(%q<mime-types>, ["< 4.0", ">= 1"])
      s.add_dependency(%q<nokogiri>, ["~> 1.6"])
      s.add_dependency(%q<systemu>, ["~> 2.6"])
      s.add_dependency(%q<thor>, ["~> 0.19"])
      s.add_dependency(%q<dotenv>, ["~> 2.0"])
      s.add_dependency(%q<minitest>, ["~> 5"])
      s.add_dependency(%q<minitest-reporters>, ["~> 1"])
      s.add_dependency(%q<mocha>, ["~> 1.0"])
      s.add_dependency(%q<rake>, ["~> 10.0"])
      s.add_dependency(%q<timecop>, ["~> 0.7"])
      s.add_dependency(%q<yard>, ["~> 0.8"])
      s.add_dependency(%q<vcr>, ["~> 3.0"])
    end
  else
    s.add_dependency(%q<addressable>, ["~> 2.3"])
    s.add_dependency(%q<azure-core>, ["~> 0.1"])
    s.add_dependency(%q<faraday>, ["~> 0.9"])
    s.add_dependency(%q<faraday_middleware>, ["~> 0.10"])
    s.add_dependency(%q<mime-types>, ["< 4.0", ">= 1"])
    s.add_dependency(%q<nokogiri>, ["~> 1.6"])
    s.add_dependency(%q<systemu>, ["~> 2.6"])
    s.add_dependency(%q<thor>, ["~> 0.19"])
    s.add_dependency(%q<dotenv>, ["~> 2.0"])
    s.add_dependency(%q<minitest>, ["~> 5"])
    s.add_dependency(%q<minitest-reporters>, ["~> 1"])
    s.add_dependency(%q<mocha>, ["~> 1.0"])
    s.add_dependency(%q<rake>, ["~> 10.0"])
    s.add_dependency(%q<timecop>, ["~> 0.7"])
    s.add_dependency(%q<yard>, ["~> 0.8"])
    s.add_dependency(%q<vcr>, ["~> 3.0"])
  end
end

